## org.apache.batik.ext.awt.image.rendered
Class LRUCache

    java.lang.Object
      org.apache.batik.ext.awt.image.rendered.LRUCache

public class LRUCache
extends java.lang.Object

Nested Class Summary
`class` `LRUCache.LRUNode` Interface for nodes in the LRU cache, basicly nodes in a doubly linked list.
`static interface` `LRUCache.LRUObj` Interface for object participating in the LRU Cache.

Constructor Summary
`LRUCache(int size)`

Method Summary
`void` `add(LRUCache.LRUObj obj)`
`void` `flush()`
`int` `getUsed()`
`protected void` `print()`
`void` `remove(LRUCache.LRUObj obj)`
`void` `setSize(int newSz)`
`void` `touch(LRUCache.LRUObj obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LRUCache

    public LRUCache(int size)

Method Detail

### getUsed

    public int getUsed()

### setSize

    public void setSize(int newSz)

### flush

    public void flush()

### remove

    public void remove(LRUCache.LRUObj obj)

### touch

    public void touch(LRUCache.LRUObj obj)

### add

    public void add(LRUCache.LRUObj obj)

### print

    protected void print()

Copyright © 2004 Apache Software Foundation. All Rights Reserved.